Subject: Re: a more helpful message on "git status" output

From: Matthieu Moy <[email-masked]>
Date: Mon, 21 Jul 2014 12:20:33 +0200

Junio C Hamano <[email-masked]> writes:

> Julián Landerreche <[email-masked]> writes:
>
>> OK, I'm mostly convinced.
>> A more verbose, educational output could read:
>>
>>   (use "git pull" to fetch newer commits from upstream and update your
>> local branch)
>>   (use "git merge" to update your local branch)
>
> I actually do not like that, to be honest.
>
> These brief reminders should be just that, and if anything, we
> should aim to make them shorter and more concise, not longer and
> more verbose.

I think so too. For someone not willing to read the doc, the current
message is sufficient, and for someone willing to read it, the output of
"git status" is IHMO not a good place to teach the difference between
merge and pull.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/